Update or Create a Line Item
curl --request PUT \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/lineItems/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lineItem": {
"title": "<string>",
"assignDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"class": {
"sourcedId": "<string>"
},
"school": {
"sourcedId": "<string>"
},
"category": {
"sourcedId": "<string>"
},
"sourcedId": "<string>",
"status": "active",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"description": "<string>",
"gradingPeriod": {
"sourcedId": "<string>"
},
"academicSession": {
"sourcedId": "<string>"
},
"scoreScale": {
"sourcedId": "<string>"
},
"resultValueMin": 123,
"resultValueMax": 123,
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveIds": [
"<string>"
]
}
]
}
}
'import requests
url = "https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/lineItems/{sourcedId}"
payload = { "lineItem": {
"title": "<string>",
"assignDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"class": { "sourcedId": "<string>" },
"school": { "sourcedId": "<string>" },
"category": { "sourcedId": "<string>" },
"sourcedId": "<string>",
"status": "active",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"description": "<string>",
"gradingPeriod": { "sourcedId": "<string>" },
"academicSession": { "sourcedId": "<string>" },
"scoreScale": { "sourcedId": "<string>" },
"resultValueMin": 123,
"resultValueMax": 123,
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveIds": ["<string>"]
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lineItem: {
title: '<string>',
assignDate: '2023-11-07T05:31:56Z',
dueDate: '2023-11-07T05:31:56Z',
class: {sourcedId: '<string>'},
school: {sourcedId: '<string>'},
category: {sourcedId: '<string>'},
sourcedId: '<string>',
status: 'active',
dateLastModified: '2023-11-07T05:31:56Z',
metadata: {},
description: '<string>',
gradingPeriod: {sourcedId: '<string>'},
academicSession: {sourcedId: '<string>'},
scoreScale: {sourcedId: '<string>'},
resultValueMin: 123,
resultValueMax: 123,
learningObjectiveSet: [{source: '<string>', learningObjectiveIds: ['<string>']}]
}
})
};
fetch('https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/lineItems/{sourcedId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lineItem": {
"title": "<string>",
"assignDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"class": {
"sourcedId": "<string>"
},
"school": {
"sourcedId": "<string>"
},
"category": {
"sourcedId": "<string>"
},
"sourcedId": "<string>",
"status": "active",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"description": "<string>",
"gradingPeriod": {
"sourcedId": "<string>"
},
"academicSession": {
"sourcedId": "<string>"
},
"scoreScale": {
"sourcedId": "<string>"
},
"resultValueMin": 123,
"resultValueMax": 123,
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveIds": [
"<string>"
]
}
]
}
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Line Items Management
Update or Create a Line Item
To update an existing Line Item or create a new one if it doesn’t exist. The sourcedId for the record is supplied by the requesting system.
PUT
/
ims
/
oneroster
/
gradebook
/
v1p2
/
lineItems
/
{sourcedId}
Update or Create a Line Item
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The sourcedId of the line item
Body
application/json
Represents a line item.
Show child attributes
Show child attributes
Response
Line item successfully created or updated
Represents a line item.
Show child attributes
Show child attributes
⌘I